import ko from 'knockout';
import templateMarkup from 'text!./side-bar.html';
import {uiConstants} from 'uiConstants';

class Sidebar {
    constructor(params) {
        this.message = ko.observable('Hello from the sideBar component!');
        this.enterpriseList = ko.observableArray();
        this.applicationList = ko.observableArray();
        this.ENTERPRISE  = uiConstants.common.ENTERPRISE;
        this.SELECT_ENTERPRISE  = uiConstants.common.SELECT_ENTERPRISE;
        this.APPLICATION  = uiConstants.common.APPLICATION;
        this.SELECT_APPLICATION  = uiConstants.common.SELECT_APPLICATION;
    }

    renderHandler (){
        this.enterpriseList([
            {enterpriseId: 1, enterpriseName: "HDFC"},
            {enterpriseId: 2, enterpriseName: "ICICI"},
            {enterpriseId: 3, enterpriseName: "HSBC"},
            {enterpriseId: 4, enterpriseName: "SBI"},
            {enterpriseId: 5, enterpriseName: "ABC"}
        ]);

        this.applicationList([
            {applicationId: 1, applicationName: "HDFC"},
            {applicationId: 2, applicationName: "ICICI"},
            {applicationId: 3, applicationName: "HSBC"},
            {applicationId: 4, applicationName: "SBI"},
            {applicationId: 5, applicationName: "ABC"}
        ]);
    }
    
    dispose() {
        // This runs when the component is torn down. Put here any logic necessary to clean up,
        // for example cancelling setTimeouts or disposing Knockout subscriptions/computeds.
    }
}

export default { viewModel: Sidebar, template: templateMarkup };
